Index: src/backend/tcop/postgres.c
===================================================================
RCS file: /var/lib/cvs/pgsql/src/backend/tcop/postgres.c,v
retrieving revision 1.272
diff -c -r1.272 postgres.c
*** src/backend/tcop/postgres.c	18 Jul 2002 23:11:28 -0000	1.272
--- src/backend/tcop/postgres.c	29 Jul 2002 15:25:18 -0000
***************
*** 645,682 ****
  			{
  				TransactionStmt *stmt = (TransactionStmt *) parsetree;
  
! 				switch (stmt->command)
! 				{
! 					case COMMIT:
! 					case ROLLBACK:
! 						allowit = true;
! 						break;
! 					default:
! 						break;
! 				}
  			}
  
  			if (!allowit)
! 			{
! 				elog(WARNING, "current transaction is aborted, "
  					 "queries ignored until end of transaction block");
- 
- 				/*
- 				 * We need to emit a command-complete report to the client,
- 				 * even though we didn't process the query.
- 				 * - cim 6/1/90
- 				 */
- 				commandTag = "*ABORT STATE*";
- 
- 				EndCommand(commandTag, dest);
- 
- 				/*
- 				 * We continue in the loop, on the off chance that there
- 				 * is a COMMIT or ROLLBACK utility command later in the
- 				 * query string.
- 				 */
- 				continue;
- 			}
  		}
  
  		/* Make sure we are in a transaction command */
--- 645,657 ----
  			{
  				TransactionStmt *stmt = (TransactionStmt *) parsetree;
  
! 				if (stmt->command == COMMIT || stmt->command == ROLLBACK)
! 					allowit = true;
  			}
  
  			if (!allowit)
! 				elog(ERROR, "current transaction is aborted, "
  					 "queries ignored until end of transaction block");
  		}
  
  		/* Make sure we are in a transaction command */
